Bug 1882064 - [RFE] Ability to define password policies for satellite local users to make PCI compliant without any external authentication
Summary: [RFE] Ability to define password policies for satellite local users to make P...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Security
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Mirek Długosz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 18:02 UTC by Jaskaran Singh Narula
Modified: 2020-12-24 23:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-09 14:49:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaskaran Singh Narula 2020-09-23 18:02:25 UTC
Description of poblem:

Authenticate satellite local users(admin) to make PCI compliant with following policies.

Password-related parameters on the affected sampled Red Hat Satellite Application servers do not meet the following PCI requirement:
     - Account lockout duration should be set to a minimum of 30 minutes
     - Passwords must contain at least eight characters
     - Passwords must contain both numeric and alphabetic characters
     - Passwords must expire every 90 days
     - New passwords cannot be the same as the last four passwords
   
    Findings:
     - The current lockout duration is configured to 5 mins (There is no option to change this time)
     - The current password length is not configured
     - The current password complexity is not configured
     - The current password expiry is not configured
     - The current password history is not configured

Version-Release number of selected component (if applicable):
6.7.x


Expected Result:
Affected Local Accounts:
     - newcharter (locally defined admin account)

Comment 2 Sean O'Keeffe 2020-12-09 14:49:24 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support.

Please consider using LDAP, AD or IDM.

Thank you


Note You need to log in before you can comment on or make changes to this bug.